package com.incubator.game.handler;

import com.incubator.common.MessageHandler;
import com.incubator.common.net.Connection;
import com.incubator.core.net.ws.NetHandler;
import com.incubator.core.net.ws.WSRequest;
import com.incubator.core.net.ws.WSResponse;
import com.incubator.game.player.Player;
import com.incubator.game.util.PlayerUtil;
import com.incubator.message.proto.CommonProto;

import java.util.HashMap;

/**
 * 获取玩法规则信息 请求
 *
 * @author johnc
 */
@MessageHandler(id = CommonProto.Cmd.RoomRuleInfoReq_VALUE)
public class GetRoomRuleInfoHandler extends NetHandler {

	@Override
	public void onDate(Connection session, WSRequest request, WSResponse response) {
		response.setCmd(CommonProto.Cmd.RoomRuleInfoRes_VALUE);

		Player player = (Player) PlayerUtil.getOnlinePlayer(session.getPlayerId());
		if (player == null) {
			logger.info("创建房间失败，找不到玩家");
			response.setCode(CommonProto.Code.SYSTEM_ERR_VALUE);
			response.setMessage("操作失败...");
			return;
		}

		// 判断参数
		int type = request.getDataValue("type", Integer.class, 0);
		if (type <= 0) {
			logger.info("参数错误");
			response.setCode(CommonProto.Code.PARAMETER_ERR_VALUE);
			response.setMessage("参数错误");
			return;
		}

		// 获取玩法类型规则


		// 正常返回
		response.setData(new HashMap<>());
	}
}
